Hi,

In an attempt to upgrade db42 to db47 I seem to have broken some
things. If I try to portupgrade anything I get:

...
#portupgrade -a
** Makefile possibly broken: www/gnome-user-share:
        /libexec/ld-elf.so.1: Shared object "libdb-4.2.so.2" not found,
required by "libaprutil-1.so.3" [: -le: argument expected
        gnome-user-share-0.31_2
        : Your apache does not support DSO modules
        
/usr/local/sbin/portupgrade:1468:in `get_pkgname': Makefile broken
(MakefileBrokenError) from /usr/local/sbin/portupgrade:622:in `main'
        from /usr/local/sbin/portupgrade:613:in `each'
        from /usr/local/sbin/portupgrade:613:in `main'
        from /usr/local/sbin/portupgrade:588:in `catch'
        from /usr/local/sbin/portupgrade:588:in `main'
        from /usr/local/lib/ruby/1.8/optparse.rb:1303:in `call'
        from /usr/local/lib/ruby/1.8/optparse.rb:1303:in
`parse_in_order' from /usr/local/lib/ruby/1.8/optparse.rb:1299:in
`catch' ... 6 levels...
        from /usr/local/lib/ruby/1.8/optparse.rb:785:in `initialize'
        from /usr/local/sbin/portupgrade:229:in `new'
        from /usr/local/sbin/portupgrade:229:in `main'
        from /usr/local/sbin/portupgrade:2208
...

If I try to reinstall db42 (or anything else) I get the same error
message.
What can I do to make things work again?

Thanks in advance,

Marco

-- 
Remember, if it's being done correctly, here or abroad, it's
*not* the U.S. Army doing it!
                -- Good Morning, Vietnam
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to